View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Deprecation notice: TheShows details for an authorization, by ID./v1/paymentsendpoint is deprecated. Use the/v2/paymentsendpoint instead. For details, see PayPal Checkout Basic Integration.
Oauth 2.0 authentication
In: header
Scope: https://api.paypal.com/v1/payments/.*
application/json
application/json
curl -X GET "https://example.com/v1/payments/authorization/string"{ "id": "string", "amount": { "currency": "string", "total": "string", "details": { "subtotal": "string", "shipping": "string", "tax": "string", "handling_fee": "string", "shipping_discount": "string", "insurance": "string", "gift_wrap": "string" } }, "payment_mode": "INSTANT_TRANSFER", "state": "pending", "reason_code": "AUTHORIZATION", "pending_reason": "AUTHORIZATION", "protection_eligibility": "ELIGIBLE", "protection_eligibility_type": "ITEM_NOT_RECEIVED_ELIGIBLE", "fmf_details": { "filter_type": "ACCEPT", "filter_id": "AVS_NO_MATCH", "name": "string", "description": "string" }, "parent_payment": "string", "processor_response": { "response_code": "stri", "avs_code": "s", "cvv_code": "s", "advice_code": "01_NEW_ACCOUNT_INFORMATION", "eci_submitted": "string", "vpas": "string" }, "valid_until": "2019-08-24T14:15:22Z", "create_time": "2019-08-24T14:15:22Z", "update_time": "2019-08-24T14:15:22Z", "receipt_id": "string", "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}